view doc/lispintro/mkinstalldirs @ 88118:959dc75df82e

(whitespace): Set :version tag to 23.1. (whitespace-turn-off, whitespace-toggle-options): Fix typos. (whitespace-style, whitespace-chars, whitespace-space, whitespace-hspace, whitespace-tab, whitespace-newline, whitespace-trailing, whitespace-line, whitespace-space-before-tab, whitespace-indentation, whitespace-empty, whitespace-space-after-tab, whitespace-hspace-regexp, whitespace-space-regexp, whitespace-tab-regexp, whitespace-trailing-regexp, whitespace-space-before-tab-regexp, whitespace-indentation-regexp, whitespace-empty-at-bob-regexp, whitespace-empty-at-eob-regexp, whitespace-space-after-tab-regexp, whitespace-line-column, whitespace-display-mappings, global-whitespace-toggle-options, whitespace-cleanup, whitespace-cleanup-region, whitespace-interactive-char): Doc fixes.
author Juanma Barranquero <lekktu@gmail.com>
date Fri, 01 Feb 2008 14:43:03 +0000
parents 88851c2eef53
children
line wrap: on
line source

#! /bin/sh
# mkinstalldirs --- make directory hierarchy
# Author: Noah Friedman <friedman@prep.ai.mit.edu>
# Created: 1993-05-16
# Public domain

errstatus=0

for file
do
   set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
   shift

   pathcomp=
   for d
   do
     pathcomp="$pathcomp$d"
     case "$pathcomp" in
       -* ) pathcomp=./$pathcomp ;;
     esac

     if test ! -d "$pathcomp"; then
        echo "mkdir $pathcomp" 1>&2

        mkdir "$pathcomp" || lasterr=$?

        if test ! -d "$pathcomp"; then
  	  errstatus=$lasterr
        fi
     fi

     pathcomp="$pathcomp/"
   done
done

exit $errstatus

# mkinstalldirs ends here